// 8 bit Checksum calculation, one byte at a time.
//
// Carl D. Walker
// 02-04-99
// Released under GPL
//

#include "checksum8.h"

// Constructor
checksum8::checksum8( void ) {
  checksum8::init_checksum8();
}

// Destructor
checksum8::~checksum8( void ) {
  // Null
}

// Subs
void checksum8::calc_checksum8 ( unsigned char byte_in ) {
  checksum8::byte_count++; //bump the count of bytes that we have processed
                           // so far...
  checksum8::checksum_running = checksum8::checksum_running ^ byte_in;
}

void checksum8::init_checksum8( void ) {
  checksum8::checksum_running = 0;
  checksum8::byte_count = 0;
}

unsigned char checksum8::return_checksum8( void ) {
  return checksum8::checksum_running;
}

int checksum8::return_byte_count( void ) {
  return checksum8::byte_count;
}
